<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:loadImage="http://schemas.android.com/tools">

    <data>

        <variable
            name="bean"
            type="com.lukouguoji.module_base.bean.IntImpPickUpDLVBean" />

        <variable
            name="position"
            type="Integer" />
    </data>

    <androidx.appcompat.widget.LinearLayoutCompat
        android:id="@+id/ll"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="15dp"
        android:layout_marginVertical="5dp"
        android:background="@drawable/bg_item"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:padding="10dp">

        <!-- 选中图标 -->
        <ImageView
            android:id="@+id/iv_icon"
            android:layout_width="40dp"
            android:layout_height="40dp"
            android:layout_gravity="center"
            loadImage="@{bean.checked.get() ? @drawable/img_plane_s : @drawable/img_plane}"
            android:src="@drawable/img_plane" />

        <!-- 数据展示区域 -->
        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginLeft="10dp"
            android:layout_weight="1"
            android:orientation="vertical">

            <!-- 第一行：运单号、代理人、航班信息、件数、重量 -->
            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <!-- 运单号 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.0"
                    android:gravity="center_vertical">

                    <TextView
                        completeSpace="@{5}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="运单号："
                        android:textSize="15sp" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{bean.wbNo}"
                        android:textColor="@color/colorPrimary"
                        android:textSize="15sp"
                        android:textStyle="bold" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <!-- 代理人 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.6"
                    android:gravity="center_vertical">

                    <TextView
                        completeSpace="@{4}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="代理人："
                        android:textSize="15sp" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{bean.agentCode}"
                        android:textSize="15sp" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <!-- 航班信息 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.0"
                    android:gravity="center_vertical">

                    <TextView
                        completeSpace="@{5}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="航班信息："
                        android:textSize="15sp" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{bean.flightInfo}"
                        android:textSize="15sp" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <!-- 件数 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.8"
                    android:gravity="center_vertical">

                    <TextView
                        completeSpace="@{5}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="件数："
                        android:textSize="15sp" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{String.valueOf(bean.pc)}"
                        android:textSize="15sp" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <!-- 重量 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.6"
                    android:gravity="center_vertical">

                    <TextView
                        completeSpace="@{3}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="重量："
                        android:textSize="15sp" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{String.valueOf((int)bean.weight)}"
                        android:textSize="15sp" />

                </androidx.appcompat.widget.LinearLayoutCompat>

            </androidx.appcompat.widget.LinearLayoutCompat>

            <!-- 第二行：提货单号、库位、提取时间、品名(中) -->
            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp">

                <!-- 提货单号 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.0"
                    android:gravity="center_vertical">

                    <TextView
                        completeSpace="@{5}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="提货单号："
                        android:textSize="15sp" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{bean.pkId}"
                        android:textSize="15sp" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <!-- 库位 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.6"
                    android:gravity="center_vertical">

                    <TextView
                        completeSpace="@{4}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="库位："
                        android:textSize="15sp" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{bean.locationInStore}"
                        android:textSize="15sp" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <!-- 提取时间 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.0"
                    android:gravity="center_vertical">

                    <TextView
                        completeSpace="@{5}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="提取时间："
                        android:textSize="15sp" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{bean.chargeTime}"
                        android:textSize="15sp" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <!-- 品名(中)：占据件数+重量两列宽度 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.4"
                    android:gravity="center_vertical">

                    <TextView
                        completeSpace="@{5}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="品名(中)："
                        android:textSize="15sp" />

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:ellipsize="end"
                        android:maxLines="1"
                        android:text="@{bean.goods}"
                        android:textSize="15sp" />

                </androidx.appcompat.widget.LinearLayoutCompat>

            </androidx.appcompat.widget.LinearLayoutCompat>

        </LinearLayout>

    </androidx.appcompat.widget.LinearLayoutCompat>

</layout>
